# This file created by conda-build 3.16.1
# meta.yaml template originally from:
# C:\ci\containers\00000fiukmo\tmp\build\80754af9\rsync-recipes\python-2.7.15-c_compiler_vs2008-vc_9-cxx_compiler_vs2008-on-winbuilder, last modified Sat Oct 27 18:17:05 2018
# ------------------------------------------------

package:
    name: python
    version: 2.7.15
source:
    -   patches:
            - 0001-backport-Python-3.6-_PYTHON_SYSCONFIGDATA_NAME.patch
            - 0002-Add-Anaconda-Distribution-version-logic.patch
            - 0003-Darwin-Hack-sys.-exec_-prefix-if-run-from-python.app.patch
            - 0004-Darwin-Add-arch-x86_64-to-UnicCCompiler-ld_args.patch
            - 0005-Win32-distutils-Also-look-for-executable.bat.patch
            - 0006-Win32-Ensure-Library-bin-is-in-os.environ-PATH.patch
            - 0007-Win32-Change-FD_SETSIZE-from-512-to-2048.patch
            - 0008-Win32-Fixes-for-Windows-GCC-interop-needed-by-RPy2-a.patch
            - 0009-Do-not-pass-g-to-GCC-when-not-Py_DEBUG.patch
            - 0010-Darwin-Look-in-sysroot-usr-lib-include-if-sysroot-is.patch
            - 0011-runtime_library_dir_option-Use-1st-word-of-CC-as-com.patch
            - 0012-Mark-sysconfigdata.py-as-utf-8.patch
            - 0013-Fix-find_library-so-that-it-looks-in-sys.prefix-lib-.patch
            - 0014-Fix-cross-compilation-on-Debian-based-distros.patch
        sha256: 18617d1f15a380a919d517630a9cd85ce17ea602f9bbdc58ddc672df4b0239db
        url: https://www.python.org/ftp/python/2.7.15/Python-2.7.15.tgz
    -   folder: externals/bzip2-1.0.6
        sha256: c42fd1432a2667b964a74bc423bb7485059c4a6d5dc92946d59dbf9a6bdb988d
        url: https://github.com/python/cpython-source-deps/archive/bzip2-1.0.6.zip
    -   folder: externals/bsddb-4.7.25.0
        sha256: 0bc1f79d2bbff8159cf56103db615cc011458b7b0f5fc4c8c3db3132f026abbc
        url: https://github.com/python/cpython-source-deps/archive/bsddb-4.7.25.0.zip
    -   folder: externals/openssl-1.0.2o
        sha256: 9db2a35ef254b57e16a47916810a3bf1cd639b512b5fe6c1cb51afc985113595
        url: https://github.com/python/cpython-source-deps/archive/openssl-1.0.2o.zip
    -   folder: externals/sqlite-3.14.2.0
        sha256: c1ff98c76c11dc10b2abe94d72ea5bae7da64ba8da9455a9af5dc3eae0f2f880
        url: https://github.com/python/cpython-source-deps/archive/sqlite-3.14.2.0.zip
    -   folder: externals/tcl-8.5.19.0
        sha256: 8520a7d6df448770ec129f497b0b16fdddc6876905ffce2ad13d12180598ce48
        url: https://github.com/python/cpython-source-deps/archive/tcl-8.5.19.0.zip
    -   folder: externals/tk-8.5.19.0
        sha256: b5a0ab7bcd8f02b695a2877cc6c964b696727e3bd0156b033f710dc0288127d1
        url: https://github.com/python/cpython-source-deps/archive/tk-8.5.19.0.zip
    -   folder: externals/tix-8.4.3.5
        sha256: f0769bdf97cc1835b4565e26664a28b3d9a11ae655075027c14ccb35a6ff8281
        url: https://github.com/python/cpython-source-deps/archive/tix-8.4.3.5.zip
    -   folder: externals/nasm-2.11.06
        sha256: de3c87b26a80e789986d8e6950c6304175d3829afe9c6c7211eb7257266ab0ac
        url: https://github.com/python/cpython-bin-deps/archive/nasm-2.11.06.zip
build:
    no_link:
        - DLLs/_ctypes.pyd
    number: '3'
    string: h2880e7c_3
requirements:
    build:
        - vs2008_win-64 9.00.30729.1 hb7fc0b5_1
    host:
        - vc 9 h7299396_1
        - vs2008_runtime 9.00.30729.1 hfaea7d5_1
    run:
        - vc 9.*
test:
    commands:
        - python -V
        - pydoc -h
        - idle -h
        - python -c "import sysconfig; print sysconfig.get_config_var('CC')"
about:
    description: 'Python is a widely used high-level, general-purpose, interpreted,
        dynamic

        programming language. Its design philosophy emphasizes code

        readability, and its syntax allows programmers to express concepts in

        fewer lines of code than would be possible in languages such as C++ or

        Java. The language provides constructs intended to enable clear programs

        on both a small and large scale.

        '
    dev_url: https://docs.python.org/devguide/
    doc_source_url: https://github.com/python/pythondotorg/blob/master/docs/source/index.rst
    doc_url: https://www.python.org/doc/versions/
    home: http://www.python.org/
    license: PSF
    license_file: LICENSE
    summary: General purpose programming language
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jakirkham
        - jjhelmus
        - mingwandroid
        - msarahan
        - pelson
